Skip to main content
PATCH
/
v1
/
items
/
{item_id}
Patch item
curl --request PATCH \
  --url https://api.neuronsearchlab.com/v1/items/{item_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Wireless Headphones v2",
  "metadata": {
    "category": "electronics",
    "availability": "in_stock"
  },
  "active": true
}
'
{
  "id": "7f3a2c9e",
  "object": "item",
  "name": "Wireless Headphones",
  "description": "Noise-cancelling Bluetooth headphones.",
  "metadata": {
    "category": "electronics",
    "brand": "Acme"
  },
  "active": true,
  "created": 1777478400,
  "updated_at": 1777478500
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

item_id
string
required

Public item ID.

Pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$

Body

application/json

Partial item update. At least one field must be supplied.

name
string
Minimum string length: 1
description
string
metadata
object

Arbitrary JSON object used for filtering, ranking, and debugging.

Example:
{
"category": "electronics",
"brand": "Acme",
"price": 10999,
"currency": "usd"
}
active
boolean

Whether the item is eligible for recommendations.

Response

Updated item

id
string
required
Pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
Example:

"7f3a2c9e"

object
enum<string>
required
Available options:
item
name
string
required
Example:

"Wireless Headphones"

description
string
required
Example:

"Noise-cancelling Bluetooth headphones."

metadata
object
required

Arbitrary JSON object used for filtering, ranking, and debugging.

Example:
{
"category": "electronics",
"brand": "Acme",
"price": 10999,
"currency": "usd"
}
active
boolean
required
Example:

true

created
integer<int64> | null
required

Unix timestamp in seconds.

Example:

1777478400

updated_at
integer<int64> | null
required

Unix timestamp in seconds.

Example:

1777478500